컴포넌트
페이지 번호 (0부터 시작, offset 페이징)
페이지 크기 (최소: 1, 최대: 100)
카테고리 ID
이름 검색어
정렬 타입
ID_DESCPossible values: 모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
GET /api/v1/components?offset=1&limit=1 HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"content": [
{
"id": "text",
"name": "text",
"translatedNames": [
{
"code": "text",
"value": "text"
}
],
"code": "text",
"sku": "text",
"brand": "text",
"color": {
"code": "text",
"name": "text"
},
"retailPrice": {
"value": 1,
"unit": "KRW"
},
"factoryPrice": {
"value": 1,
"unit": "KRW"
},
"mainMaterial": "text",
"subMaterial": "text",
"dimension": {
"mmWidth": 1,
"mmDepth": 1,
"mmHeight": 1,
"inchWidth": 1,
"inchDepth": 1,
"inchHeight": 1
},
"previewImage": "text",
"showInEditor": true,
"usageInEditor": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"hasNext": true,
"totalCount": 1
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}새 컴포넌트를 생성한다.
이름
원목 의자코드
COMP-001브랜드 코드
BRAND-001네임스페이스
furniture타입
CHAIR상태
ACTIVESKU
SKU-12345주재료
원목부재료
패브릭원재료
참나무단위
개버전
v1.0최종 부품 여부
대표 이미지 URL
이미지 URL 목록
개인 라이브러리 업로드 여부
false모델링 ID
XoczGmj878585A7E7E64F6C모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
POST /api/v1/components HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1152
{
"name": "원목 의자",
"code": "COMP-001",
"brandCode": "BRAND-001",
"namespace": "furniture",
"color": {
"code": "#FFFFFF",
"name": "화이트"
},
"translatedNames": [
{
"code": "ko",
"value": "원목 의자"
}
],
"type": "CHAIR",
"status": "ACTIVE",
"sku": "SKU-12345",
"dimension": {
"mm": {
"width": 600,
"depth": 600,
"height": 900
},
"inch": {
"width": 600,
"depth": 600,
"height": 900
}
},
"retailPrice": {
"value": 150000,
"unit": "KRW"
},
"factoryPrice": {
"value": 150000,
"unit": "KRW"
},
"mainMaterial": "원목",
"subMaterial": "패브릭",
"rawMaterial": "참나무",
"unit": "개",
"version": "v1.0",
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"isFinal": true,
"previewImage": "text",
"images": [
"text"
],
"isPersonal": false,
"modelingId": "XoczGmj878585A7E7E64F6C",
"editorSetting": {
"usageCode": 20,
"showInEditor": true,
"dimensionLock": {
"width": false,
"depth": false,
"height": false
},
"door": {
"isOpen": false,
"openDirection": "PULL",
"handlePosition": "LEFT"
}
},
"childComponents": [
{
"id": "XoczGmj878585A7E7E64F6C",
"quantity": 1,
"matrices": [
[
"text"
]
],
"isRequired": true
}
],
"category": {
"categoryIds": [
"CAT-001",
"CAT-002"
]
},
"codeRelations": [
{
"options": [
{
"key": "color",
"value": "white"
}
],
"targetType": "SKU",
"targetCode": "SKU-12345"
}
]
}모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"id": "text",
"enterpriseId": "text",
"userId": "text",
"code": "text",
"namespace": "text",
"color": {
"code": "text",
"name": "text"
},
"name": "text",
"translatedNames": [
{
"code": "text",
"value": "text"
}
],
"parametricType": "text",
"type": "text",
"status": "text",
"sku": "text",
"retailPrice": {
"value": 1,
"unit": "KRW"
},
"factoryPrice": {
"value": 1,
"unit": "KRW"
},
"mainMaterial": "text",
"subMaterial": "text",
"rawMaterial": "text",
"brandCode": "text",
"dimension": {
"mmWidth": 1,
"mmDepth": 1,
"mmHeight": 1,
"inchWidth": 1,
"inchDepth": 1,
"inchHeight": 1
},
"isRaw": true,
"isFinal": true,
"unit": "text",
"version": "text",
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"modelingId": "text",
"previewImage": {
"id": "text",
"name": "text",
"url": "text"
},
"images": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"hdViewerAssets": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"dxfAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"arAsset": {
"ios": {
"id": "text",
"name": "text",
"url": "text"
},
"android": {
"id": "text",
"name": "text",
"url": "text"
}
},
"editorSetting": {
"editorType": "FLOOR_ITEM",
"showInEditor": true,
"dimensionLock": {
"width": true,
"depth": true,
"height": true
},
"door": {
"isOpen": true,
"openDirection": "PULL",
"handlePosition": "LEFT"
}
},
"childComponents": [
{
"id": "text",
"quantity": "text",
"matrices": [
[
"text"
]
],
"isRequired": true
}
],
"categories": [
{
"categoryId": "text",
"order": 1
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"modeling": {
"id": "text",
"name": "text",
"renderingStatus": "WAITING",
"renderingStartedAt": "2026-01-01T00:00:00.000Z",
"renderingFinishedAt": "2026-01-01T00:00:00.000Z",
"renderingFailedAt": "2026-01-01T00:00:00.000Z",
"dimension": {
"mmWidth": 1,
"mmDepth": 1,
"mmHeight": 1,
"inchWidth": 1,
"inchDepth": 1,
"inchHeight": 1
},
"images": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"file": {
"id": "text",
"name": "text",
"url": "text"
},
"editorAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"renderAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"decimateAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}컴포넌트의 에셋을 업로드한다.
컴포넌트 ID
컴포넌트 에셋 타입
파일 목록
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
POST /api/v1/components/{id}/assets HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 48
{
"assetType": "PREVIEW_IMAGE",
"files": [
"binary"
]
}모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"id": "text",
"assetType": "text",
"assets": [
{
"id": "text",
"name": "text",
"url": "text"
}
]
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}ID로 컴포넌트와 모델링 정보를 조회한다.
컴포넌트 ID
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
GET /api/v1/components/{id} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"id": "text",
"enterpriseId": "text",
"userId": "text",
"code": "text",
"namespace": "text",
"color": {
"code": "text",
"name": "text"
},
"name": "text",
"translatedNames": [
{
"code": "text",
"value": "text"
}
],
"parametricType": "text",
"type": "text",
"status": "text",
"sku": "text",
"retailPrice": {
"value": 1,
"unit": "KRW"
},
"factoryPrice": {
"value": 1,
"unit": "KRW"
},
"mainMaterial": "text",
"subMaterial": "text",
"rawMaterial": "text",
"brandCode": "text",
"dimension": {
"mmWidth": 1,
"mmDepth": 1,
"mmHeight": 1,
"inchWidth": 1,
"inchDepth": 1,
"inchHeight": 1
},
"isRaw": true,
"isFinal": true,
"unit": "text",
"version": "text",
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"modelingId": "text",
"previewImage": {
"id": "text",
"name": "text",
"url": "text"
},
"images": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"hdViewerAssets": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"dxfAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"arAsset": {
"ios": {
"id": "text",
"name": "text",
"url": "text"
},
"android": {
"id": "text",
"name": "text",
"url": "text"
}
},
"editorSetting": {
"editorType": "FLOOR_ITEM",
"showInEditor": true,
"dimensionLock": {
"width": true,
"depth": true,
"height": true
},
"door": {
"isOpen": true,
"openDirection": "PULL",
"handlePosition": "LEFT"
}
},
"childComponents": [
{
"id": "text",
"quantity": "text",
"matrices": [
[
"text"
]
],
"isRequired": true
}
],
"categories": [
{
"categoryId": "text",
"order": 1
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"modeling": {
"id": "text",
"name": "text",
"renderingStatus": "WAITING",
"renderingStartedAt": "2026-01-01T00:00:00.000Z",
"renderingFinishedAt": "2026-01-01T00:00:00.000Z",
"renderingFailedAt": "2026-01-01T00:00:00.000Z",
"dimension": {
"mmWidth": 1,
"mmDepth": 1,
"mmHeight": 1,
"inchWidth": 1,
"inchDepth": 1,
"inchHeight": 1
},
"images": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"file": {
"id": "text",
"name": "text",
"url": "text"
},
"editorAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"renderAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"decimateAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}컴포넌트의 기본정보를 수정한다.
컴포넌트 ID
이름
원목 의자코드
COMP-001브랜드 코드
BRAND-001네임스페이스
furniture타입
CHAIR상태
ACTIVESKU
SKU-12345주재료
원목부재료
패브릭원재료
참나무단위
개버전
v1.0모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
응답 데이터
PATCH /api/v1/components/{id} HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 591
{
"name": "원목 의자",
"code": "COMP-001",
"brandCode": "BRAND-001",
"namespace": "furniture",
"color": {
"code": "#FFFFFF",
"name": "화이트"
},
"translatedNames": [
{
"code": "ko",
"value": "원목 의자"
}
],
"type": "CHAIR",
"status": "ACTIVE",
"sku": "SKU-12345",
"dimension": {
"mm": {
"width": 600,
"depth": 600,
"height": 900
},
"inch": {
"width": 600,
"depth": 600,
"height": 900
}
},
"retailPrice": {
"value": 150000,
"unit": "KRW"
},
"factoryPrice": {
"value": 150000,
"unit": "KRW"
},
"mainMaterial": "원목",
"subMaterial": "패브릭",
"rawMaterial": "참나무",
"unit": "개",
"version": "v1.0",
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": null,
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}컴포넌트에 연결된 모델링 정보를 수정한다.
컴포넌트 ID
연결할 모델링 ID (null이면 연결 해제)
507f1f77bcf86cd799439011모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
응답 데이터
PATCH /api/v1/components/{id}/modeling HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"modelingId": "507f1f77bcf86cd799439011"
}모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": null,
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}컴포넌트의 에디터 설정을 수정한다.
컴포넌트 ID
에디터 타입
STATICPossible values: 에디터 노출 여부
true모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
응답 데이터
PATCH /api/v1/components/{id}/editor HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 175
{
"editorType": "STATIC",
"showInEditor": true,
"dimensionLock": {
"width": false,
"depth": false,
"height": false
},
"door": {
"isOpen": false,
"openDirection": "PULL",
"handlePosition": "LEFT"
}
}모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": null,
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}ID로 컴포넌트의 flat BOM 구조를 조회한다.
컴포넌트 ID
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
응답 결과 타입
GET /api/v1/components/{id}/bom HTTP/1.1
Host: openapi.archisketch.com
x-api-key: YOUR_API_KEY
Accept: */*
모든 응답은 200으로 내려갑니다 (성공 실패 포함) (장애상황에서만 5xx 노출)
{
"result": "SUCCESS",
"data": {
"parentChildrenRelation": [
{
"compositionId": "text",
"parentId": "text",
"childId": "text",
"recipeId": "text"
}
],
"componentMap": {
"ANY_ADDITIONAL_PROPERTY": {
"id": "text",
"enterpriseId": "text",
"userId": "text",
"code": "text",
"namespace": "text",
"color": {
"code": "text",
"name": "text"
},
"name": "text",
"translatedNames": [
{
"code": "text",
"value": "text"
}
],
"type": "text",
"status": "text",
"sku": "text",
"retailPrice": {
"value": 1,
"unit": "KRW"
},
"factoryPrice": {
"value": 1,
"unit": "KRW"
},
"mainMaterial": "text",
"subMaterial": "text",
"rawMaterial": "text",
"brandCode": "text",
"dimension": {
"mmWidth": 1,
"mmDepth": 1,
"mmHeight": 1,
"inchWidth": 1,
"inchDepth": 1,
"inchHeight": 1
},
"isRaw": true,
"isFinal": true,
"unit": "text",
"version": "text",
"extra": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"modelingId": "text",
"parametricModelingId": "text",
"previewImage": {
"id": "text",
"name": "text",
"url": "text"
},
"images": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"hdViewerAssets": [
{
"id": "text",
"name": "text",
"url": "text"
}
],
"dxfAsset": {
"id": "text",
"name": "text",
"url": "text"
},
"arAsset": {
"ios": {
"id": "text",
"name": "text",
"url": "text"
},
"android": {
"id": "text",
"name": "text",
"url": "text"
}
},
"editorSetting": {
"editorType": "FLOOR_ITEM",
"showInEditor": true,
"dimensionLock": {
"width": true,
"depth": true,
"height": true
},
"door": {
"isOpen": true,
"openDirection": "PULL",
"handlePosition": "LEFT"
}
},
"categories": [
{
"categoryId": "text",
"order": 1
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"parametricType": "text",
"parameters": "[Circular Reference]"
}
},
"modelingMap": {
"ANY_ADDITIONAL_PROPERTY": {
"id": "text",
"type": "STATIC_MODELING",
"enterpriseId": "text",
"userId": "text",
"name": "text",
"path": "text",
"json": "text"
}
},
"compositionMap": {
"ANY_ADDITIONAL_PROPERTY": {
"parametricComponentCompositionId": "text",
"recipeId": "text",
"recipePath": "text",
"json": "text",
"options": [
{
"key": "text",
"value": "text"
}
],
"animation": "[Circular Reference]"
}
}
},
"error": {
"errorCode": "INTERNAL_ERROR",
"message": "text"
}
}마지막 업데이트
도움이 되었나요?

